﻿@using Microsoft.Extensions.Options
@using Condatis.Webinars.B2C.Webinar2.ContentDefinitions.Models

@inject IOptions<SiteOptions> siteOptions

@{
    var siteName = this.siteOptions.Value.SiteName;
}

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - @siteName</title>

    <link href="https://fonts.googleapis.com/css2?family=Montserrat&display=swap" rel="stylesheet" data-preload="true">

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          crossorigin="anonymous"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
          data-preload="true" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/css/all.min.css" 
          integrity="sha512-+4zCK9k+qNFUR5X+cKL9EIR+ZOhtIloNl9GIKS57V1MyNsYpYcUrUeQc9vNfzsWfV28IaLL3i96P9sdNyeRssA==" 
          crossorigin="anonymous" 
          data-preload="true" />
    <environment include="Development">
        <link rel="stylesheet" href="~/css/common.css" asp-append-version="true" data-preload="true" />
        <link rel="stylesheet" href="~/css/site.css" asp-append-version="true" data-preload="true" />
    </environment>
    <environment exclude="Development">
        <link rel="stylesheet" href="~/css/common.min.css" asp-append-version="true" data-preload="true" />
        <link rel="stylesheet" href="~/css/site.min.css" asp-append-version="true" data-preload="true" />
    </environment>
</head>
<body>
    <div id="body-container" class="d-none h-100 mx-auto flex-column">
        <header class="mb-auto">
            <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white box-shadow">
                <div class="container">
                    <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index"><img src="https://condatis.com/wp-content/uploads/2019/03/logo-strap.svg" alt="Condatis - a SiteKit company" /></a>
                </div>
            </nav>
        </header>
        <main role="main" class="container">
            <div class="row align-items-center">
                <div class="col-md-6 col-xl-6">
                    @RenderBody()
                </div>
            </div>
        </main>
        <footer class="mt-auto text-muted">
            <div class="container">
                <p>&copy; @DateTime.Today.Year Sitekit Systems Limited. All Rights Reserved.</p>
                <p>Sitekit Systems Ltd (company number 08473243), trading as Condatis&reg;, is part of Sitekit Ltd (company number SC116007).</p>
                <p>Registered address: 17-21 Ashford Road, Maidstone, England, ME14 5DA.</p>
            </div>
            <a href="" class="btn-scroll" aria-label="Scroll back to the top of the window">
                <i class="fas fa-chevron-up" aria-hidden="false"></i><span class="sr-only">Scroll to top</span>
            </a>
        </footer>
    </div>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"
        crossorigin="anonymous"
        integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8="
        data-preload="true">
</script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js"
        crossorigin="anonymous"
        integrity="sha384-xrRywqdh3PHs8keKZN+8zzc5TX0GRTLCcmivcbNJWm2rs5C8PRhcEn3czEjhAO9o"
        data-preload="true">
</script>
<environment include="Development">
    <script src="~/js/common.js" asp-append-version="true" data-preload="true"></script>
</environment>
<environment exclude="Development">
    <script src="~/js/common.min.js" asp-append-version="true" data-preload="true"></script>
</environment>

@await RenderSectionAsync("Scripts", required: false)

<mini-profiler />
</body>
</html>
